Subject: bug#27761: Crash while using proof-general/company-coq on OS X

From: Eli Zaretskii <[email-masked]>
Date: Thu, 20 Jul 2017 08:43:32 +0300

> From: Денис Редозубов
> 	<[email-masked]>
> Date: Wed, 19 Jul 2017 15:20:28 -0400
> Cc: [email-masked]
> 
> I load this file(you can clone the repo) https://github.com/DeepSpec/dsss17/blob/master/Stlc/Lemmas.v in
> proof-general and company-coq, then I go the line 166
> https://github.com/DeepSpec/dsss17/blob/master/Stlc/Lemmas.v#L166, go the end of the line, do C-c
> C-RET, which is company-coq-proof-goto-point, then type `intuition`, C-h, crash.

Charles, can you try reproducing this?  If you do succeed, I'd like to
know the answers to the questions I posted earlier:

> if you could step
> through that code in get_next_display_element which recurses, and tell
> me why it does so, what is the character where this happens, and what
> is the value of it->method there, it could give some hints.

Thanks.